package data

import (
	"time"

	"git.scraperwall.com/scw/grs"
)

type RequestData struct {
	ID             string                 `bson:"_id,omitempty" json:"_id,omitempty"`
	Connection     string                 `bson:"connection" json:"connection"`
	IpDst          string                 `bson:"ip_dst" json:"ip_dst"`
	TcpSeq         int                    `bson:"tcp_seq" json:"tcp_seq"`
	XForwardedFor  string                 `bson:"x_forwarded_for" json:"x_forwarded_for"`
	XRealIP        string                 `bson:"x_real_ip" json:"x_real_ip"`
	Origin         string                 `bson:"origin" json:"origin"`
	PortDst        int                    `bson:"port_dst" json:"port_dst"`
	Referer        string                 `bson:"referer" json:"referer"`
	XRequestedWith string                 `bson:"x_requested_with" json:"x_requested_with"`
	PortSrc        int                    `bson:"port_src" json:"port_src"`
	Url            string                 `bson:"url" json:"url"`
	Reverse        string                 `bson:"reverse" json:"reverse"`
	AcceptEncoding string                 `bson:"accept_encoding" json:"accept_encoding"`
	AcceptLanguage string                 `bson:"accept_language" json:"accept_language"`
	CreatedAt      time.Time              `bson:"created_at" json:"created_at"`
	IpSrc          string                 `bson:"ip_src" json:"ip_src"`
	Method         string                 `bson:"method" json:"method"`
	UserAgent      string                 `bson:"user_agent" json:"user_agent"`
	Accept         string                 `bson:"accept" json:"accept"`
	Cookie         string                 `bson:"cookie" json:"cookie"`
	Host           string                 `bson:"host" json:"host"`
	Protocol       string                 `bson:"protocol" json:"protocol"`
	Source         string                 `bson:"source" json:"source"`
	DataRaw        map[string]interface{} `bson:"data_raw" json:"data_raw"`
	Grs            grs.GRS                `bson:"grs" json:"grs"`
}
